Package org.flowable.bpmn.model

# Class DataSpec

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.DataSpec

All Implemented Interfaces:
  `HasExtensionAttributes`

public class DataSpec extends BaseElement

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `isCollection`
  `protected String`
  `itemSubjectRef`
  `protected String`
  `name`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSpec()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataSpec`
  `clone()`
  `String`
  `getItemSubjectRef()`
  `String`
  `getName()`
  `boolean`
  `isCollection()`
  `void`
  `setCollection(boolean isCollection)`
  `void`
  `setItemSubjectRef(String itemSubjectRef)`
  `void`
  `setName(String name)`
  `void`
  `setValues(DataSpec otherDataSpec)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### itemSubjectRef

    protected String itemSubjectRef

  - ### isCollection

    protected boolean isCollection

- ## Constructor Details

  - ### DataSpec

    public DataSpec()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getItemSubjectRef

    public String getItemSubjectRef()

  - ### setItemSubjectRef

    public void setItemSubjectRef(String itemSubjectRef)

  - ### isCollection

    public boolean isCollection()

  - ### setCollection

    public void setCollection(boolean isCollection)

  - ### clone

    public DataSpec clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(DataSpec otherDataSpec)